#pragma once

#include "Participant.h"

namespace RoboidControl {

class ParticipantSocket : public Participant {
 public:
 /// @brief Create a new participant with the given communcation info
  /// @param ipAddress The IP address of the participant
  /// @param port The UDP port of the participant
  /// @remarks This does not belong here, it should move to ParticipantUDP or
  /// something like that in the future
  ParticipantSocket(const char* ipAddress, int port);

  /// @brief The Ip Address of a participant.
  /// @remarks This does not belong here, it should move to ParticipantUDP or
  /// something like that in the future
  const char* ipAddress = "0.0.0.0";
  /// @brief The port number for UDP communication with the participant.
  /// @remarks This does not belong here, it should move to ParticipantUDP or
  /// something like that in the future
  unsigned int port = 0;

  bool Send(IMessage* msg) override;
};

}